<template>
  <div class="cart-page">
    <div v-for="cartItem in cartItems" :key="cartItem.product.id" class="level">
      <div class="level-item">
        <div class="cart-item">
          <div class="image is-3by2">
            <img :src="cartItem.product.image" />
          </div>
          <span class="is-size-2">{{ cartItem.product.name }}</span>
        </div>
      </div>
      <div class="level-item">
        <p>{{ $t("cart.price") }}: MOP {{ cartItem.product.price }}</p>
      </div>
      <div class="level-item">
        <p>{{ $t("cart.qty") }}: {{ cartItem.qty }}</p>
      </div>
      <div class="level-item">
        <p>
          {{ $t("cart.total") }}: {{ cartItem.qty * cartItem.product.price }}
        </p>
      </div>
    </div>
    <div class="is-pulled-right">
      <p class="cart-total is-size-3">Total: {{ cartTotal }}</p>
      <button @click="checkout" class="button is-primary is-large">
        {{ $t("cart.checkout") }}
      </button>
    </div>
  </div>
</template>
<script>
import cart from "@/store/modules/cart";

export default {
  data() {
    return {
      cart: cart.state.cart
    };
  },
  computed: {
    cartTotal() {
      return this.cart.getTotalPrice();
    },
    cartItems() {
      return this.cart.getItems();
    }
  },
  methods: {
    checkout() {}
  }
};
</script>
<style lang="scss">
.cart-page {
}
</style>
